Name:           sofia-sip
Version:        1.13.17
Release:        1
Summary:        Sofia SIP User-Agent library
License:        LGPLv2+
URL:            http://sofia-sip.sourceforge.net/
Source0:        https://github.com/freeswitch/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  make autoconf automake gcc-c++
BuildRequires:  openssl-devel glib2-devel lksctp-tools-devel
BuildRequires:  libtool >= 1.5.17
Provides:       sofia-sip-utils

%description
Sofia SIP is a RFC-3261-compliant library for SIP user agents and
other network elements.  The Session Initiation Protocol (SIP) is an
application-layer control (signaling) protocol for creating,
modifying, and terminating sessions with one or more
participants. These sessions include Internet telephone calls,
multimedia distribution, and multimedia conferences.

%package devel
Summary:        Sofia-SIP Development Package
Requires:       sofia-sip = %{version}-%{release}
Requires:       pkgconfig
Provides:       sofia-sip-glib
Provides:       sofia-sip-glib-devel

%description devel
Development package for Sofia SIP UA library.

%prep
%autosetup

%build
sh autogen.sh
%configure --disable-rpath --disable-static --without-doxygen --disable-stun
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name \*.la -delete
find %{buildroot} -name \*.h.in -delete
find . -name installdox -delete

%ldconfig_scriptlets
%ldconfig_scriptlets glib

%files
%doc AUTHORS ChangeLog ChangeLog.ext-trees COPYING COPYRIGHTS
%doc README README.developers RELEASE TODO
%{_bindir}/*
%{_libdir}/libsofia-sip-ua.so.*

%files devel
%{_includedir}/sofia-sip-1.13/sofia-sip/*.h
%{_includedir}/sofia-sip-1.13/sofia-resolv/*.h
%{_libdir}/libsofia-sip-ua.so
%{_libdir}/libsofia-sip-ua-glib.so
%{_libdir}/libsofia-sip-ua-glib.so.*
%{_libdir}/pkgconfig/sofia-sip-ua.pc
%{_libdir}/pkgconfig/sofia-sip-ua-glib.pc
%{_datadir}/sofia-sip

%changelog
* Thu Jan 11 2024 kkz <zhaoshuang@uniontech.com> - 1.13.17-1
- update to version 1.13.17

* Mon Nov 20 2023 lwg <liweiganga@uniontech.com> - 1.13.12-1
- update to version 1.13.12

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.13.10-1
- Update for 1.13.10

* Tue Aug 16 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.13.8-1
- update to 1.13.8
- fix CVE-2022-31001,CVE-2022-31002,CVE-2022-31003

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.13.7-2
- delete subpackage

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.13.7-1
- Initial packaging
